import { API_ADPTER } from 'src/common/adapters/index'
import { login, LOGIN_DIFF } from 'src/common/utils/login'

const app = getApp()

Component({
  externalClasses: [
    'border-bottom',
    'text-sm',
    'text-xs',
    'text-muted',
  ],
  properties: {
    hasLogin: {
      type: Boolean,
      value: false,
    },
    phone: {
      type: String,
    },
    userInfo: {
      type: Object,
      value: null,
    },
  },
  data: {
    hasLogin: false,
    userInfo: {},
    phone: '',
  },
  attached() {
    this.initLoginInfo(app)
  },
  methods: {
    goLogin() {
      API_ADPTER.navigateTo({
        url: `/common/pages/login/index`,
      })
    },
    initLoginInfo(app) {
      login(app).then((data) => {
        let wxInfo = API_ADPTER.getStorageSync('WX_USER_INFO')

        this.setData({
          phone: (data.phone || '')
            .toString()
            .replace(/^(\d{3})\d{4}(\d+)/, '$1****$2'),
          userInfo: wxInfo,
          hasLogin: data.token ? true : false,
        })

        if (!wxInfo.nickName) {
          this.getWxInfoMethod()
        }
      })
    },
    getWxInfoMethod() {
      LOGIN_DIFF.getWxInfo()
        .then(res => {
          this.setData({
            userInfo: res,
          })
        })
        .catch(e => console.log(e))
    },
  }
})
