import { COMMON_ADDRESS } from './common/constants/addr'
import { COUPON_INFO } from './common/constants/coupon'
import { ORDER_FEE_INFO } from './common/constants/feeInfo'
import { ORDER_DETAIL_INFO } from './common/constants/orderDetail'
import { PAY_BILL_INFO } from './common/constants/payBill'
import { ORDER_BILL_INFO } from './pages/index/constant'
import { ACTIVITY_BASE_INFO } from './common/constants/activityBaseInfo'
import { CONSULT_INFO } from 'src/pages/consult/constant'
import track from './node/track-mini-program'
import { getUuid } from 'src/common/utils/uuid'
import { APP_TYPE, LOG_TYPE } from 'src/common/adapters/index'

track.init({
  logType: LOG_TYPE,
  debug: false,
  name: '达达小程序',
  version: '1.5.2',
})

// app.js
App({
  onLaunch: function () {
    track.setExtParams({ request_id: getUuid('CRINUM_REQUEST_UUID') })
  },
  globalData: {
    domain: 'https://toc.ndev.imdada.cn/toc/corp/',
    // domain: 'https://toc.qa.imdada.cn/toc/corp/',
    // domain: 'https://t.imdada.cn/toc/corp/',
    token: '',
    uid: '',
    isBwm: false,
    platform: APP_TYPE,
    commonAddress: {
      ...COMMON_ADDRESS,
    },
    commonCoupon: {
      ...COUPON_INFO,
    },
    commonOrderFeeInfo: {
      ...ORDER_FEE_INFO,
    },
    orderBillInfo: {
      ...ORDER_BILL_INFO,
    },
    orderDetailInfo: {
      ...ORDER_DETAIL_INFO,
      isBwm: false,
    },
    payBillInfo: {
      ...PAY_BILL_INFO,
    },
    activityBaseInfo: {
      ...ACTIVITY_BASE_INFO,
    },
    consultInfo: {
      ...CONSULT_INFO,
    },
    consultLock: false,
    // 用于信息变化判断
    prev: {
      senderPoiName: '',
      receiverPoiName: '',
      freightCouponId: '',
    },
    requestId: '',
    shouldFetchLogin: true,
    statusBarHeight: 0,
    contentHeight: 0,
    titleBarHeight: 46,
    currentOrderType: 'send',
  },
})
