import { API_ADPTER } from 'src/common/adapters/index'

Component({
  options: {
    multipleSlots: true, // 在组件定义时的选项中启用多slot支持
  },
  properties: {
    // 是否显示
    show: {
      type: Boolean,
      value: false,
      observer: function (newVal, oldVal) {
        if (newVal) {
          setTimeout(
            function () {
              this.setOpacity(1)
            }.bind(this),
            100,
          )
        }
      },
    },
    title: String,
    onOk: {
      type: Function,
    },
    onCancel: {
      type: Function,
    },
    showBorder: {
      type: Boolean,
      value: true,
    },
    modalOtherStyle: {
      type: String,
      value: '',
    },
  },
  data: {
    maskAnimation: {},
  },
  methods: {
    handleOkClick: function (e) {
      this.setOpacity(0)

      setTimeout(
        function () {
          this.triggerEvent('onOk', e)
        }.bind(this),
        100,
      )
    },
    handleCancelClick: function (e) {
      this.setOpacity(0)

      setTimeout(
        function () {
          this.triggerEvent('onCancel', e)
        }.bind(this),
        100,
      )
    },
    // 设置淡入动画
    setOpacity: function (value) {
      const animation = API_ADPTER.createAnimation({
        duration: 300,
        timingFunction: 'ease',
      })
      animation.opacity(value).step()
      this.setData({
        maskAnimation: animation.export(),
      })
    },
  },
})
