import { API_ADPTER } from 'src/common/adapters/index'
import { setContentHeightDiff } from './indexDiff'

const app = getApp()

Component({
  data: {
    statusBarHeight: 0,
    contentHeight: 0,
    titleBarHeight: 0,
    showPill: false,
    isBwm: false,
  },
  properties: {
    title: {
      type: String,
      value: '达达',
    },
  },
  attached() {
    const pages = getCurrentPages()

    if (pages.length > 1) {
      this.setData({ showPill: true })
    }

    this.getContentHeight()
  },
  methods: {
    getContentHeight() {
      if (!app.globalData.contentHeight) {
        this.setContentHeight()
      }

      const {
        isBwm,
        statusBarHeight,
        titleBarHeight,
        contentHeight,
      } = app.globalData

      this.setData({
        statusBarHeight,
        titleBarHeight,
        contentHeight,
        isBwm: !!isBwm,
      })
    },

    setContentHeight() {
      const res = API_ADPTER.getSystemInfoSync()
      let {
        statusBarHeight,
        windowHeight,
        platform,
      } = res

      statusBarHeight = platform === 'ios' ? statusBarHeight : statusBarHeight + 4

      app.globalData.systemInfo = res
      app.globalData.statusBarHeight = statusBarHeight
      // windowHeight 手百603 微信667 会导致手百contentHeight不同
      app.globalData.windowHeight = windowHeight
      setContentHeightDiff()
    },

    handleBack() {
      API_ADPTER.navigateBack({ delta: 1 })
    },
    handleGoHome() {
      const url = this.data.isBwm ? '/pages/home/index' : '/pages/index/index'

      API_ADPTER.reLaunch({ url })
    },
  },
})
