import track from 'track-mini-program'

Component({
  properties: {
    couponList: {
      type: Array,
      value: [],
    },
    from: {
      type: String,
    },
    activeCouponId: {
      type: Number,
    },
  },

  data: {
    showAll: {},
  },

  methods: {
    changeShowAll(event) {
      let id = event.currentTarget.dataset.id
      track.manuallyTrack({
        clickId: this.data.showAll[id] ? 'ClickClose' : 'ClickExplainCoupon',
        clickPar: { coupon_code: id },
      })
      this.setData({
        showAll: {
          ...this.data.showAll,
          [id]: !this.data.showAll[id],
        },
      })
    },

    chooseCoupon(event) {
      this.triggerEvent('chooseCoupon', {
        couponId: event.currentTarget.dataset.coupon.couponId,
      })
    },
  },
})
