import { API_ADPTER } from 'src/common/adapters/index'

Component({
  data: {
    maskAnimation: {},
  },
  properties: {
    // 是否显示1
    show: {
      type: Boolean,
      value: false,
      observer: function (newVal, oldVal) {
        const maskAnimation = API_ADPTER.createAnimation({
          duration: 300,
          timingFunction: 'ease',
        })
        const slideAnimation = API_ADPTER.createAnimation({
          duration: 300,
          timingFunction: 'ease',
        })

        maskAnimation.opacity(1).step()
        slideAnimation.translateY('0%').step()

        if (newVal) {
          setTimeout(() => {
            this.setData({
              maskAnimation: maskAnimation.export(),
              slideAnimation: slideAnimation.export(),
            })
          }, 10)
        } else {
          this.setData({
            maskAnimation: {},
            slideAnimation: {},
          })
        }
      },
    },
    title: String,
    onlyClose: {
      type: Boolean,
      value: false,
    },
    onOk: {
      type: Function,
    },
    onCancel: {
      type: Function,
    },
  },
  methods: {
    handleOkClick(e) {
      this.triggerEvent('onOk', e)
    },
    handleCancelClick(e) {
      this.triggerEvent('onCancel', e)
    },
    // 防止滚动穿透
    handleCatch() {},
  },
})
