Component({
  properties: {
    time: {
      type: Number,
      value: 0,
    },
    inline: {
      type: Boolean,
      value: true,
    },
    textType: {
      type: String,
      value: 'minute',
    },
  },

  data: {
    leftTime: 0,
    timeText: '',
    intervalId: 0,
  },

  attached() {
    this.setData({
      leftTime: this.data.time,
      intervalId: setInterval(() => {
        if (this.data.leftTime > 0) {
          this.setData({
            timeText: this.dateMS(this.data.leftTime - 1),
            leftTime: this.data.leftTime - 1,
          })
        } else {
          clearInterval(this.data.intervalId)
          this.triggerEvent('complete', {})
        }
      }, 1000),
    })
  },

  detached() {
    clearInterval(this.data.intervalId)
  },

  methods: {
    dateMS(time) {
      let timeText = ''

      if (this.data.textType === 'second') {
        timeText = `${this.getTimeText(time)}s`
      }

      if (this.data.textType === 'minute') {
        timeText = `${this.getTimeText(Math.floor(time / 60))}分${this.getTimeText(time % 60)}秒`
      }

      if (this.data.textType === 'hour') {
        timeText = `${this.getTimeText(Math.floor(time / 3600))} : ${this.getTimeText(Math.floor(time / 60 % 60))} : ${this.getTimeText(time % 60)}`
      }

      return timeText
    },

    getTimeText(time) {
      return `${time > 9 ? time : `0${time}`}`
    },
  },
})
