import track from 'track-mini-program'
import { navigateTo } from 'src/common/utils/navigate'

const app = getApp()

Component({
  externalClasses: [
    'flex',
    'flex-item',
    'margin-right',
    'text-primary',
    'text-muted-light',
    'hr',
    'text-ellipsis',
  ],
  properties: {
    list: {
      type: Array,
      value: null,
    },
    last: {
      type: Boolean,
      value: false,
    },
  },

  methods: {
    goOrderDetail(e) {
      track.manuallyTrack({ clickId: 'ClickOrderStatus' })
      app.globalData.orderDetailInfo.activeOrderId = e.target.dataset.orderId
      navigateTo({ url: '/common/pages/orderDetail/index' })
    },

    goHome() {
      track.manuallyTrack({ clickId: 'ClickCreateOrder' })
      navigateTo({ url: '/pages/index/index' })
    },

    goActivityDetail(e) {
      track.manuallyTrack({ clickId: 'ClickCutdownContinue' })
      const instanceCode = e.target.dataset.instanceCode

      app.globalData.activityBaseInfo.instanceCode = instanceCode
      navigateTo({
        url: `/common/pages/activity/bargain/detail/index?instanceCode=${instanceCode}`,
      })
    },
  },
})
