import { API_ADPTER } from 'src/common/adapters/index'
import track from 'track-mini-program'

Component({
  externalClasses: ['flex', 'flex-item', 'margin-right-lg'],
  properties: {
    accountNum: {
      type: Number,
      value: 0,
    },
    accountStatus: {
      type: Number,
      value: 2,
    },
  },

  data: {
    showPayingModal: false,
  },

  methods: {
    goWithdrawIndex() {
      this.trackClick(1)
      API_ADPTER.navigateTo({
        url: '/common/pages/activity/withdraw/index/index',
      })
    },

    withdrawingClick() {
      this.togglePayingModal()
      this.trackClick(2)
    },

    togglePayingModal() {
      this.setData({
        showPayingModal: !this.data.showPayingModal,
      })
    },

    trackClick(type) {
      track.manuallyTrack({
        clickId: 'ClickToWithdraw',
        clickPar: { type },
      })
    },
  },
})
