// import { sendCode } from 'src/common/pages/login/api'

Component({
  externalClasses: ['flex', 'flex-item', 'hr'],
  properties: {
    phoneTip: {
      type: String,
      value: '请输入手机号',
    },
    codeTip: {
      type: String,
      value: '请输入验证码',
    },
    sendTip: {
      type: String,
      value: '发送验证码',
    },
    sentTip: {
      type: String,
      value: '已发送',
    },
    loginTip: {
      type: String,
      value: '登录',
    },
    time: {
      type: Number,
      value: 60,
    },
    channelCode: {
      type: String,
      value: 'tongyonghuodong',
    },
  },

  data: {
    codeBtnDisabled: true, // 发送按钮不可点击
    loginBtnDisabled: true, // 登陆按钮不可点击
    sent: false, // 发送验证码
    phoneValid: false, // 有效电话号码
    codeValid: false, // 有效验证码
    showTimer: false,
  },

  attached() {
    this.childLogin = this.selectComponent('#login')
  },

  methods: {
    callChildMethod(e) {
      const childLogin = this.childLogin
      const eventType = e.currentTarget.dataset.eventType

      if (eventType === 'phoneInput') {
        childLogin.setValidatePhone(e)
      } else if (eventType === 'codeInput') {
        childLogin.setValidateCode(e)
      } else if (eventType === 'sendCodeButton') {
        if (!this.data.codeBtnDisabled) {
          // clearInterval(this.data.timer)
          childLogin.sendValidateCode().then(() => {
            this.setData({
              ...childLogin.data,
            })
          })
        }
      } else if (eventType === 'loginButton') {
        if (!this.data.loginBtnDisabled) {
          childLogin.register().then(res => {
            this.triggerEvent('registSuccess', {res})
          }).catch(res => {
            this.triggerEvent('registFail', {res})
          })
        }
      } else if (eventType === 'timerComplete') {
        childLogin.changeTimerShow()
      } else if (eventType === 'submitForm') {
        childLogin.handleSubmit(e)
      } else {
        return
      }

      this.setData({
        ...childLogin.data,
      })
    },
  },
})
