Component({
  properties: {
    seconds: {
      type: Number,
      value: 0,
    },
    onFinish: {
      type: Function,
    },
  },
  data: {
    timer: '',
    h: '--',
    m: '--',
    s: '--',
  },
  ready() {
    this.initTimer()
  },
  detached() {
    console.log(this.data.timer)
    clearInterval(this.data.timer)
  },
  methods: {
    initTimer() {
      this.setData({
        timer: setInterval(() => {
          let h = Math.floor(this.data.seconds / 3600)
          let m = Math.floor((this.data.seconds % 3600) / 60)
          let s = this.data.seconds % 60

          if (this.data.seconds >= 0) {
            this.setData({
              h: h >= 10 ? h : `0${h}`,
              m: m >= 10 ? m : `0${m}`,
              s: s >= 10 ? s : `0${s}`,
              seconds: this.data.seconds - 1,
            })
          } else {
            clearInterval(this.data.timer)
            this.triggerEvent('onFinish')
          }
        }, 1000),
      })
    },
  },
})
