import { get } from 'src/common/utils/request'
import dayjs from 'dayjs'
import { accSub, accDiv } from 'src/common/utils/decimals'

const getActivityList = params =>
  get('growth/cutprice/instance/list', {
    ...params,
  }).then(res => {
    let list = res.content.list
    if (list && list.length > 0) {
      list.map(function (item, index) {
        item.orderDate = formatDate(item.orderInfo.createTime * 1000)
        item.rate = accDiv(item.cutpriceInstance.cutValue, item.cutpriceInstance.targetValue)
        item.cutRemained = accSub(item.cutpriceInstance.targetValue, item.cutpriceInstance.cutValue)

        return item
      })
    }

    return res.content
  })

const formatDate = date => {
  return dayjs(date).format('YYYY-MM-DD')
}

export { getActivityList }
