import { addAccount } from '../modal/api'
import track from 'track-mini-program'
import { API_ADPTER } from 'src/common/adapters/index'

Page({
  name: '提现设置',
  data: {
    showCheck: false,
    payeeName: '',
    accountNo: '',
    addBtnDisabled: true,
  },

  addAccountBtnClick() {
    if (this.data.addBtnDisabled) {
      return
    }

    track.manuallyTrack({
      clickId: 'ClickConfirmAddAccount',
    })

    this.toggleCheck()
  },

  addAccount() {
    const { payeeName, accountNo } = this.data
    const params = {
      payeeName,
      accountNo,
      'accountType': 1, // 1-支付宝 2-微信
    }

    addAccount(params).then(res => {
      this.goWithdrawIndex()
    })
  },

  toggleCheck() {
    this.setData({
      showCheck: !this.data.showCheck,
    })
  },

  setInputValue(e) {
    const val = e.detail.value
    const key = e.target.dataset.key

    this.setData({
      [key]: val,
    })
    this.setAddBtnStatus()
  },

  setAddBtnStatus() {
    this.setData({
      addBtnDisabled: !(this.data.payeeName && this.data.accountNo),
    })
  },

  goWithdrawIndex() {
    API_ADPTER.navigateBack()
  },
})
