import { getAccountList, applyWithdraw, deleteAccount } from '../modal/api'
import track from 'track-mini-program'
import { API_ADPTER } from 'src/common/adapters/index'

Page({
  name: '提现设置',
  data: {
    accountList: [],
    showModal: 'none', // value none, check, addAccount, deleteAccount
    addAccountType: '', // zfb-支付宝 wx-微信
    withdrawBtnDisabled: true,
    checkedItemAccountCode: '',
    deleteAccountInfo: null,
  },

  onShow() {
    this.closeAddAccount()
    this.initPage()
  },

  initPage() {
    this.getAccountList()
  },

  setShowModal(param) {
    this.setData({
      showModal: typeof (param) === 'string' ? param : param.target.dataset.type,
    })
  },

  getAccountList() {
    getAccountList().then(res => {
      this.setData({
        accountList: res,
      })
    })
  },

  addAccount() {
    track.manuallyTrack({
      clickId: 'ClickAddAccount',
    })
    this.setShowModal('addAccount')
  },

  closeAddAccount() {
    this.setShowModal('none')
    this.setData({
      addAccountType: '',
    })
  },

  chooseAccount(e) {
    const indexTarget = e.detail.index
    const that = this

    this.setData({
      accountList: this.data.accountList.map(function (item, index) {
        if (index === Number(indexTarget)) {
          // 切换同一个账户
          if (item.checkStatus) {
            that.setData({
              withdrawBtnDisabled: true,
              checkedItemAccountCode: '',
            })
          } else {
            track.manuallyTrack({
              clickId: 'ClickChooseAccount',
            })
          }
          item.checkStatus = !item.checkStatus
        } else {
          item.checkStatus = false
        }

        // 切换其他账户
        if (item.checkStatus) {
          that.setData({
            withdrawBtnDisabled: false,
            checkedItemAccountCode: item.accountCode,
          })
          track.manuallyTrack({
            clickId: 'ClickChooseAccount',
          })
        }
        return item
      }),
    })
  },

  showDeleteAccountModal(e) {
    this.setShowModal('deleteAccount')
    this.setData({
      deleteAccountInfo: e.detail,
    })
  },

  deleteAccount() {
    const { indexTarget, accountCode } = this.data.deleteAccountInfo
    let accountList = this.data.accountList
    accountList.splice(indexTarget, 1)

    deleteAccount({accountCode}).then(res => {
      this.setData({
        accountList,
      })
      this.setShowModal('none')
    })
  },

  applyWithdrawBtnClick() {
    if (this.data.withdrawBtnDisabled) {
      return
    }
    this.setShowModal('check')
  },

  applyWithdraw() {
    applyWithdraw({ 'accountCode': this.data.checkedItemAccountCode }).then(res => {
      this.setShowModal('none')
      API_ADPTER.navigateBack()
    }).catch(e => {
      this.setShowModal('none')
    })
  },
  goAddAcountPage() {
    this.setData({
      addAccountType: 'zfb',
    })
    API_ADPTER.navigateTo({
      url: '/common/pages/activity/withdraw/addAccount/index',
    })
  },
})
