import { get, post } from 'src/common/utils/request'
import { WITHDRAW_STATUS_DEC } from 'src/common/constants/withdrawStatusDec'
import dayjs from 'dayjs'

// 获取账户信息
const getAccountInfo = () =>
  get('growth/activity/withdraw/summary').then(res => {
    return res.content
  })

// 获取账户列表
const getAccountList = () =>
  get('growth/activity/withdraw/account/list').then(res => {
    res.content.map(function (item, index) {
      item.checkStatus = false
      return item
    })
    return res.content
  })

// 获取提现记录列表
const getWithdrawHistoryList = params =>
  get('growth/activity/withdraw/history', params).then(res => {
    res.content.list.map(function (item, index) {
      item.withdrawTime = formatDate(Number(item.withdrawTime) * 1000)
      if (item.withdrawStatus === 2) {
        item.withdrawStatusDec = WITHDRAW_STATUS_DEC.onTheWay
      } else if (item.withdrawStatus === 3) {
        item.withdrawStatusDec = WITHDRAW_STATUS_DEC.success
      } else if (item.withdrawStatus === 4) {
        item.withdrawStatusDec = WITHDRAW_STATUS_DEC.fail
      }

      return item
    })
    return res.content
  })

// 添加账户
const addAccount = params =>
  post('growth/activity/withdraw/account/add', params).then(res => {
    return res.content
  })

// 删除账户
const deleteAccount = params =>
  post('growth/activity/withdraw/account/delete', params).then(res => {
    return res.content
  })

// 提现
const applyWithdraw = params =>
  post('growth/activity/withdraw/apply', params).then(res => {
    return res.content
  })

const formatDate = date => {
  return dayjs(date).format('YYYY-MM-DD')
}

export { getAccountInfo, getAccountList, getWithdrawHistoryList, addAccount, deleteAccount, applyWithdraw }
