import { getCancelContent as apiGetCancelContent } from './api'
import { API_ADPTER } from 'src/common/adapters/index'

const app = getApp()

Page({
  orderId: '',
  name: '取消过渡',

  data: {
    cancelContent: {},
    showLoading: false,
  },

  onShow: function () {
    const { activeOrderId: orderId } = app.globalData.orderDetailInfo

    this.orderId = orderId

    const CANCEL_CONTENT = API_ADPTER.getStorageSync('CANCEL_CONTENT')

    if (CANCEL_CONTENT) {
      this.setData({
        cancelContent: CANCEL_CONTENT,
      })
    } else {
      this.setData({
        showLoading: true,
      })
    }

    this.getCancelContent()
  },
  getCancelContent() {
    apiGetCancelContent({
      orderId: app.globalData.orderDetailInfo.activeOrderId,
    }).then(cancelContent => {
      this.setData({
        cancelContent,
        showLoading: false,
      })
    })
  },
  showProtocol() {
    API_ADPTER.navigateTo({
      url: '/common/pages/cancelRule/index',
    })
  },
  toCancelChoose() {
    API_ADPTER.navigateTo({
      url: '/common/pages/cancelChoose/index',
    })
  },
})
