import { getRule, getAccountInfo, sendSms } from './api'
import { getSortParams } from '../../utils/params'
import { getActivityShareParams } from '../../utils/share'
import { API_ADPTER } from 'src/common/adapters/index'

Page({
  name: '邀请好友',
  data: {
    rule: {},
    contentType: 'invite',
    count: 0,
    totalReward: 0,
    awardList: [],
    promotionList: [],
    promoteCode: '',
  },
  onShareAppMessage() {
    // const { rule, promoteCode } = this.data
    // const params = {
    //   from: 'menu',
    //   title: rule.shareTitle,
    //   imageUrl:
    //     'https://fe.imdada.cn/crinum/0.0.1/activity/images/invite_share.png',
    //   path: `/pages/activity/inviteFriend/index?promoteCode=${promoteCode}`,
    // }

    // return params

    const { rule, promoteCode } = this.data

    return getActivityShareParams({
      shareUiConfig: rule.shareUiConfig,
      shareTo: 'session',
      promoteCode,
    })
  },
  onLoad() {
    getRule().then(rule => {
      this.setData({ rule })
    })
    this.getAccountInfo()
  },
  getAccountInfo() {
    return getAccountInfo().then(accountInfo => {
      const {
        count,
        totalReward,
        promoteRecordVos: awardList,
        promoteBindVos: promotionList,
        promoteCode,
      } = accountInfo

      this.setData({
        count,
        totalReward,
        awardList,
        promotionList,
        promoteCode,
      })
    })
  },
  handleContent(e) {
    const { type } = e.currentTarget.dataset

    this.setData({
      contentType: type,
    })
  },
  goRule() {
    const { rule, promoteCode } = this.data
    const { shareTitle, friendsReward, limitDays, bonus } = rule
    const params = {
      shareTitle,
      promoteCode,
      friendsReward,
      limitDays,
      bonus,
    }

    if (!promoteCode) return
    API_ADPTER.navigateTo({
      url: `/common/pages/inviteFriendsRule/index?${getSortParams(params)}`,
    })
  },
  sendSms(e) {
    const { userId: supplierId } = e.currentTarget.dataset

    sendSms({ supplierId }).then(this.getAccountInfo)
  },
})
