import { oldGet, get, post } from 'src/common/utils/request'
import { getLocationByIp } from 'src/common/utils/map'

// for 内部引用
const getRegisterParams = (payload, options) => {
  return {
    url: 'web/user/login',
    otherInfo: {
      vistormark: 'https://smartapp.baidu.com',
      bdCode: '',
      sourceFrom: 'MOBILE-WEB',
      ...payload,
    },
    options,
  }
}
// for 内部引用
const postRegisterInfo = (params) => {
  return getLocationByIp().then(
    res => post(params.url, { ...params.otherInfo, adCode: res.adCode }, params.options),
    () => {
      post(params.url, params.otherInfo, params.options)
    }
  )
}

export const register = (payload, options = { toast: true }) => {
  return postRegisterInfo(getRegisterParams(payload, options))
}

export const sendCode = payload => {
  return post('web/user/sendCode', payload)
}

// for 各业务调用
export const getHash = () => {
  return oldGet('web/user/hash')
}

// for 各业务调用
export const getUserVerifyCode = params => {
  if (params.hash) return get('picture/verifyCode', params)
}
