import { API_ADPTER } from 'src/common/adapters/index'
import { login } from 'src/common/utils/login'

const app = getApp()

Component({
  externalClasses: [
    'border-bottom',
    'text-sm',
    'text-xs',
    'text-muted',
  ],
  properties: {
    hasLogin: {
      type: Boolean,
      value: false,
    },
    phone: {
      type: String,
    },
    userInfo: {
      type: Object,
      value: null,
    },
  },
  data: {
    hasLogin: false,
    userInfo: {},
    phone: '',
  },
  attached() {
    this.initLoginInfo(app)
  },
  methods: {
    goLogin() {
      API_ADPTER.navigateTo({
        url: `/common/pages/login/index`,
      })
    },
    initLoginInfo(app) {
      login(app).then((data) => {
        this.setData({
          phone: (data.phone || '')
            .toString()
            .replace(/^(\d{3})\d{4}(\d+)/, '$1****$2'),
          hasLogin: !!data.token,
        })
      })
    },
  },
})
