import compareVersion from 'src/common/utils/compareVersion.js'
import { getUserInfoSync } from 'src/common/utils/commonApi'
import { getUserType, checkInvoiceShow } from './api'
import { API_ADPTER } from 'src/common/adapters/index'

const app = getApp()

Page({
  name: '我的',
  data: {
    hasLogin: false,
    isBwm: true,
    showFeedback: false,
    isSupplier: false,
    isOpenPlatform: false,
    showInvoice: false,
  },
  onLoad({ isBwm = 'true' } = {}) {
    this.setData({ isBwm: isBwm === 'true' })
    this.initFeedback()
  },
  onShow() {
    this.initPage()
    // todo 微信中报错 获取不到component 百度中登陆跳回来个人信息不更新
    this.selectComponent('header').initLoginInfo(app)
  },
  initLogin() {
    this.setData({ hasLogin: !!getUserInfoSync().token })
  },
  initPage() {
    this.initLogin()
    if (this.data.isBwm || !this.data.hasLogin) return

    this.initUserType()
    this.initInvoice()
  },
  initUserType() {
    getUserType().then(res => {
      this.setData({
        isSupplier: res.isSupplier,
        isOpenPlatform: res.isOpenPlatform,
      })
    })
  },
  initInvoice() {
    checkInvoiceShow().then(res =>
      this.setData({
        showInvoice: !!res.isActive,
      })
    )
  },
  initFeedback() {
    const showFeedback =
      compareVersion(API_ADPTER.getSystemInfoSync().SDKVersion, '2.1.0') >= 0

    this.setData({
      showFeedback,
    })
  },
  goLogin() {
    API_ADPTER.navigateTo({
      url: `/common/pages/login/index`,
    })
  },
  toMyWallet() {
    if (this.data.hasLogin) {
      app.globalData.commonCoupon.from = 'myCoupon'
      API_ADPTER.navigateTo({
        url: '/common/pages/couponList/index',
      })
    } else {
      this.goLogin()
    }
  },
  toOrderList() {
    API_ADPTER.navigateTo({
      url: `/common/pages/orderList/index?isBwm=${this.data.isBwm}`,
    })
  },
  toActivityCenter() {
    this.goLinkAndCheckLogin('/common/pages/activity/center/index')
  },
  makePhoneCall() {
    // phone必须为字符串型
    API_ADPTER.makePhoneCall({
      phoneNumber: '400-991-9512',
    })
  },
  toConsult() {
    this.goLinkAndCheckLogin('/pages/consult/introduction/index')
  },
  toInvoice() {
    this.goLinkAndCheckLogin('/pages/invoice/index')
  },
  goLinkAndCheckLogin(url) {
    if (this.data.hasLogin) {
      API_ADPTER.navigateTo({ url })
    } else {
      this.goLogin()
    }
  },
})
