import { queryAccountInfo } from './api'
import { API_ADPTER } from 'src/common/adapters/index'

Page({
  name: '我的钱包',
  data: {
    accountInfo: {},
    showLoading: false,
  },
  onLoad() {
    const ACCOUNT_INFO_BASE = API_ADPTER.getStorageSync('ACCOUNT_INFO_BASE')

    if (ACCOUNT_INFO_BASE) {
      this.setData({
        accountInfo: ACCOUNT_INFO_BASE,
      })
    } else {
      this.setData({
        showLoading: true,
      })
    }

    this.queryAccountInfoRequest()
  },

  onShow: function () {
    this.queryAccountInfoRequest()
  },

  queryAccountInfoRequest() {
    queryAccountInfo().then(res => {
      this.setData({
        accountInfo: {
          ...res,
          balance: res.balance.toFixed(1),
        },
      })
    })
  },

  toRecharge() {
    API_ADPTER.navigateTo({
      url: '/common/pages/rechargePay/index',
    })
  },
})
