import { getUuid } from 'src/common/utils/uuid'
import { post, get } from 'src/common/utils/request'
import { reverseGeocoder } from 'src/common/utils/map'
import { API_ADPTER } from 'src/common/adapters/index'

const fetchOrderDetail = payload => {
  return post('order/getOrderInfo', payload).then(res => {
    API_ADPTER.setStorage({
      key: 'ORDER_DETAIL_INFO',
      data: res.content,
    })
    return res.content
  })
}

const fetchSharePublicOrderDetail = (payload, options) => {
  return get('order/share/info', payload, options).then(res => {
    API_ADPTER.setStorage({
      key: 'ORDER_DETAIL_INFO',
      data: res.content,
    })
    API_ADPTER.setStorage({
      key: 'ORDER_PROGRESS_INFO',
      data: { progress: res.content.progress },
    })
    return res.content
  })
}

const fetchShareOrderDetail = (payload, options) => {
  return get('order/share/info/not/public', payload, options).then(res => {
    API_ADPTER.setStorage({
      key: 'ORDER_DETAIL_INFO',
      data: res.content,
    })
    API_ADPTER.setStorage({
      key: 'ORDER_PROGRESS_INFO',
      data: { progress: res.content.progress },
    })
    return res.content
  })
}

const genPayBill = payload => {
  return post('pay/genPayBill', payload).then(res => {
    return res.content
  })
}

const genCashierPayBill = payload =>
  post('v2/pay/cashier/order/url', payload).then(res => {
    return {
      flag: true,
      payUrl: res.content.payUrl,
    }
  })

const fetchAcceptTime = ({ lat, lng, adCode = '' }) => {
  const getAcceptTime = params =>
    get('order/map/shortest/fetch/time', {
      ...params,
      requestId: getUuid('CRINUM_REQUEST_UUID'),
    }).then(res => {
      return res.content
    })

  if (!adCode) {
    return reverseGeocoder({ lat, lng }).then(res =>
      getAcceptTime({ lat, lng, adCode: res.adCode })
    )
  }
  return getAcceptTime({ lat, lng, adCode })
}

const fetchSplitGiftInfo = payload => {
  return get('growth/splitGiftActivity/activity/shareInfo', payload, {
    toast: false,
  }).then(res => res.content)
}

const fetchCutPriceStatus = payload => {
  return post('growth/cutprice/instance/create', {...payload, action: 0}, {
    toast: false,
  }).then(res => res.content)
}

const addCutPriceOrder = payload => {
  return post('growth/cutprice/instance/create', {...payload, action: 1}, {
    toast: true,
  }).then(res => res.content)
}

export {
  fetchOrderDetail,
  fetchSharePublicOrderDetail,
  fetchShareOrderDetail,
  fetchAcceptTime,
  genPayBill,
  genCashierPayBill,
  fetchSplitGiftInfo,
  fetchCutPriceStatus,
  addCutPriceOrder,
}
