import { API_ADPTER } from 'src/common/adapters/index'

const app = getApp()

Component({
  properties: {
    order: Object,
  },
  data: {
    isBwm: true,
    cancelled: false,
  },
  ready() {
    this.setData({
      isBwm: app.globalData.isBwm,
    })
  },
  methods: {
    goPayDetail(e) {
      if (this.data.cancelled) return
      const orderId = e.currentTarget.dataset.orderId
      app.globalData.orderDetailInfo.activeOrderId = orderId
      app.globalData.orderDetailInfo.autoPay = true
      app.globalData.orderDetailInfo.isBwm = this.data.isBwm
      API_ADPTER.navigateTo({
        url: `/common/pages/orderDetail/index`,
      })
    },
    autoCancel() {
      this.setData({
        cancelled: true,
      })
    },
    callTransporter() {
      API_ADPTER.makePhoneCall({
        phoneNumber: this.properties.order.transporter.phone,
      })
    },
    orderAgain() {
      if (this.data.isBwm) {
        API_ADPTER.switchTab({
          url: `/pages/home/index`,
        })
      } else {
        API_ADPTER.reLaunch({
          url: '/pages/index/index?again=1',
        })
      }
    },
  },
})
