import { queryAccountFlow } from './api'
import dayjs from 'dayjs'
import { API_ADPTER } from 'src/common/adapters/index'

Page({
  name: '账户流水',
  data: {
    flowList: [],
    showLoading: false,
    queryParams: {
      date: '',
      sum: '',
      balance: '',
      formatDate: '',
    },
  },
  onShow() {
    API_ADPTER.setNavigationBarTitle({
      title: '交易明细',
    })
  },

  onLoad(option) {
    const ACCOUNT_FLOW_DAILY = API_ADPTER.getStorageSync('ACCOUNT_FLOW_DAILY')
    let { date, sum, balance, formatDate } = option
    let params = {
      date,
      sum,
      balance,
      formatDate: decodeURIComponent(formatDate),
    }

    if (ACCOUNT_FLOW_DAILY) {
      this.setData({
        queryParams: params,
        flowList: ACCOUNT_FLOW_DAILY,
      })
    } else {
      this.setData({
        queryParams: params,
        showLoading: true,
      })
    }

    this.getAccountFlow()
  },
  paymentDesc(index) {
    const map = {
      1: '余额',
      100: '微信',
      200: '支付宝',
    }
    return map[index]
  },

  getAccountFlow() {
    let time = dayjs(parseInt(this.data.queryParams.date)).format('X')

    queryAccountFlow({
      type: 0,
      start: time,
      end: time,
    }).then(res => {
      let list = res.list.map(item => {
        return Object.assign(item, {
          formatTime: dayjs(item.time * 1000).format('HH:mm'),
          cost: item.cost.toFixed(1),
          desc: this.paymentDesc(item.payment),
        })
      })

      this.setData({
        flowList: list,
        showLoading: false,
      })
    })
  },
})
