import { queryAccountDailyFlow } from './api'
import { getSortParams } from '../../utils/params'
import dayjs from 'dayjs'
import { API_ADPTER } from 'src/common/adapters/index'

Page({
  name: '交易明细',

  data: {
    accountFlowlist: [],
    showLoading: false,
  },

  onLoad() {
    const ACCOUNT_FLOW_LIST = API_ADPTER.getStorageSync('ACCOUNT_FLOW_LIST')

    if (ACCOUNT_FLOW_LIST) {
      this.setData({
        accountFlowlist: ACCOUNT_FLOW_LIST,
      })
    } else {
      this.setData({
        showLoading: true,
      })
    }

    this.getAccountDaily()
  },
  onShow: function () {
    API_ADPTER.setNavigationBarTitle({
      title: '交易明细',
    })

    this.getAccountDaily()
  },
  toFlowDetail(event) {
    let item = event.currentTarget.dataset.item
    let params = {
      date: item.date,
      sum: item.sumAmount,
      balance: item.balance,
      formatDate: item.formatDate,
    }

    API_ADPTER.navigateTo({
      url: `/common/pages/transactionDetail/index?${getSortParams(params)}`,
    })
  },
  getAccountDaily() {
    let timestamp = Math.round(new Date().getTime() / 1000)

    queryAccountDailyFlow({
      end: timestamp,
      start: timestamp - 15 * 24 * 3600,
    }).then(res => {
      let list = res.list.map(item => {
        return Object.assign(item, {
          formatDate: dayjs(item.date * 1000).format('M月D日'),
          sumAmount: item.sumAmount.toFixed(1),
        })
      })

      this.setData({
        accountFlowlist: list,
        showLoading: false,
      })
    })
  },
})
