import track from 'track-mini-program'

Page({
  data: {
    defaultAvatar: 'https://fe.imdada.cn/mini-program/images/web/default-avatar.png',
    shareParams: {},
    userInfo: {},
  },
  onShareAppMessage() {
    return this.data.shareParams
  },
  onShow() {
    const pages = getCurrentPages()
    let { title, imageUrl, path } = pages[pages.length - 1].options

    this.setData({
      shareParams: {
        title: decodeURIComponent(title),
        imageUrl: decodeURIComponent(imageUrl),
        path: decodeURIComponent(path),
      },
    })
    wx.getSetting({
      success: (res) => {
        if (res.authSetting['scope.userInfo']) {
          // 已经授权，可以直接调用 getUserInfo 获取头像昵称
          wx.getUserInfo({
            success: (res) => {
              this.setData({ userInfo: res.userInfo })
            },
          })
        }
      },
    })
  },
  handleShare() {
    track.manuallyTrack({
      clickId: 'ClickShareFriend',
      clickPar: { ...this.data.shareParams },
    })
    setTimeout(() => {
      wx.navigateBack({ delta: 1 })
    }, 1000)
  },
})
