import { reverseGeocoder, getLocationByIp } from './map'
import { API_ADPTER } from 'src/common/adapters/index'

const app = getApp()

const getLocation = () => {
  return new Promise((resolve, reject) => {
    return API_ADPTER.getLocation({
      type: 'gcj02',
      altitude: false,
      success: res => resolve(res),
      fail: res => {
        return getLocationByIp()
          .then(({ lat, lng }) => {
            resolve({ latitude: lat, longitude: lng })
          })
          .catch(() => {
            API_ADPTER.showToast({
              title: '定位失败',
              icon: 'none',
            })
            API_ADPTER.navigateTo({
              url: '/common/pages/cityList/index',
            })
            reject(res)
          })
      },
    })
  })
}

export const getLocationPoi = () => {
  return getLocation().then(res => {
    return reverseGeocoder({
      lat: res.latitude,
      lng: res.longitude,
    }).then(res => {
      const params = {
        lat: res.lat,
        lng: res.lng,
        adCode: res.adCode,
        city: res.city,
      }
      app.globalData.commonAddress.location = { ...params }
      app.globalData.commonAddress.currentLocation = { ...params }
      app.globalData.commonAddress.poiList = res.poiList

      return app.globalData.commonAddress.location
    })
  })
}
