import qqmap from './qqmap'
import amap from './amap'

const reverseGeocoder = payload => {
  return qqmap.reverseGeocoder(payload).catch(() => {
    return amap.reverseGeocoder(payload)
  })
}

const getWalkingLine = payload => {
  return amap.getWalkingLine(payload).catch(() => {
    return qqmap.getWalkingLine(payload)
  })
}

const getPoiByKeyword = payload => {
  return amap.getPoiByKeyword(payload).catch(() => {
    return qqmap.getPoiByKeyword(payload)
  })
}

const getLocationByIp = () => {
  return qqmap.getLocationByIp().catch(() => {
    return amap.getLocationByIp()
  })
}
// 测试代码
// reverseGeocoder({
//   lat: 1231.229319,
//   lng: 121.515488,
// }).then(res => console.log(res))

// getWalkingLine({
//   fromLat: 31.25956,
//   fromLng: 121.52609,
//   toLat: 31.229228,
//   toLng: 121.514993,
// }).then(res => console.log(res))

// getPoiByKeyword({
//   city: '上海',
//   location: {
//     lat: 31.229319,
//     lng: 121.515488,
//   },
//   keyword: '隆宇',
// }).then(res => console.log(res))

export { reverseGeocoder, getWalkingLine, getPoiByKeyword, getLocationByIp }
