/**
 * 参数拼接.
 * @param  {[type]} dict [description]
 * @return {[type]}      [description]
 */
function getSortParams(dict) {
  let sortDict = getSortDict(dict)
  let str = ''
  sortDict.forEach(item => {
    let key = Object.keys(item)[0]
    str = str + '&' + key + '=' + encodeURIComponent(item[key])
  })
  return str.substr(1)
}

/**
 * 参数排序.
 * @param  {[type]} dict [description]
 * @return {[type]}      [description]
 */
function getSortDict(dict) {
  let result = []
  let keys = Object.keys(dict).sort()
  for (let i = 0; i < keys.length; i++) {
    result.push({
      [keys[i]]: dict[keys[i]],
    })
  }

  return result
}

/**
 * url查询字符串转换成参数对象
 *
 * @param {string} querystr url query字符串 开头不包含问号
 * @return {Object} 解析后生成的参数对象
 */
function urlParse(querystr) {
  if (!querystr) {
    return {}
  }
  var i
  var n
  var arr = querystr.split('&')
  var obj = {}
  var tmp
  var decode = decodeURIComponent
  for (i = 0, n = arr.length; i < n; i++) {
    tmp = arr[i].split('=')
    obj[decode(tmp[0])] = decode(tmp[1])
  }
  return obj
}

/* 获取当前页url */
function getCurrentPageUrl() {
  var pages = getCurrentPages() // 获取加载的页面
  var currentPage = pages[pages.length - 1] // 获取当前页面的对象
  var url = currentPage.route || '' // 当前页面url
  return url
}

const url = {
  urlParse,
  getCurrentPageUrl,
}

export { getSortParams, getSortDict, url }
