import { sendCode } from '../../../../common/pages/login/api'
import { API_ADPTER } from 'src/common/adapters/index'

const app = getApp()

Component({
  properties: {
    phoneTip: {
      type: String,
      value: '请输入手机号',
    },
    codeTip: {
      type: String,
      value: '请输入验证码',
    },
    sendTip: {
      type: String,
      value: '发送验证码',
    },
    sentTip: {
      type: String,
      value: '已发送',
    },
    loginTip: {
      type: String,
      value: '登陆',
    },
    time: {
      type: Number,
      value: 60,
    },
    channelCode: {
      type: String,
      value: 'tongyonghuodong',
    },
  },

  data: {
    codeBtnDisabled: true, // 发送按钮不可点击
    loginBtnDisabled: true, // 登陆按钮不可点击
    sent: false, // 发送验证码
    phone: '',
    code: '',
    phoneValid: false, // 有效电话号码
    codeValid: false, // 有效验证码
    showTimer: false,
    formId: '',
  },

  methods: {
    toggleCodeBtnStatus() {
      this.setData({
        sent: !this.data.sent,
        codeBtnDisabled: !this.data.codeBtnDisabled,
      })
    },

    setValidatePhone(e) {
      const phone = this.trim(e.detail.value)
      const phoneValid = /^1[3|4|5|7|8][0-9]\d{8}$/.test(phone)

      this.setData({
        phoneValid: phoneValid,
        codeBtnDisabled: !phoneValid,
        phone: phoneValid ? phone : '',
      })
    },

    changeTimerShow() {
      this.setData({
        showTimer: !this.data.showTimer,
      })

      this.toggleCodeBtnStatus()
    },

    setValidateCode(e) {
      const code = this.trim(e.detail.value)
      const codeValid = /^\d{4}$/.test(code)

      this.setData({
        code: code,
        codeValid: codeValid,
        loginBtnDisabled: !codeValid,
      })

      app.globalData.activityBaseInfo.phone = this.phone
    },

    sendValidateCode() {
      if (!this.data.codeBtnDisabled) {
        clearInterval(this.data.timer)

        let params = {
          phone: this.data.phone,
          type: 1,
          localSession: API_ADPTER.getStorageSync('LOCAL_SESSION'),
        }

        sendCode(params).then(res => {
          if (res.status === 'success') {
            API_ADPTER.showToast({
              title: '验证码已发送',
              icon: 'success',
            })

            this.changeTimerShow()
          }
        })
      }
    },

    trim(val) {
      return val.replace(/\s+/g, '')
    },

    registerUser() {
      const params = {
        phone: this.data.phone,
        validateCode: this.data.code,
        localSession: API_ADPTER.getStorageSync('LOCAL_SESSION'),
        appletType: 'DADA',
        channelCode: this.properties.channelCode,
        formId: this.data.formId,
      }

      this.triggerEvent('registEvent', params)
    },

    handleSubmit(e) {
      this.setData({
        formId: e.detail.formId,
      })
    },
  },
})
