import { get, post } from '../../../common/utils/request'
import dayjs from 'dayjs'

// 获取广告配置
export const fetchAdInfo = params => {
  return get('growth/ad/supplier/display', params)
    .then(res => {
      return res.content
    })
    .catch(res => {
      return res
    })
}

// 邀请好友--获取页面配置
export const fetchPageCfg = params => {
  return get('v2/promote/supplier/target/config', params)
    .then(res => {
      return res
    })
    .catch(res => {
      return res
    })
}

// 接口改造
// 好友邀请
export const fetchInvitePage = params => {
  return post('growth/wxmini/promote/supplier/bind', params)
    .then(res => {
      return res
    })
    .catch(res => {
      return res
    })
}
// 分裂红包
export const fetchSplitPacketPage = params => {
  return post('growth/wxmini/splitGift/instance/participate', params)
    .then(res => {
      const participationRec = res.content.participationRec
      if (participationRec && participationRec.length !== 0) {
        participationRec.forEach((participat, index) => {
          res.content.participationRec[index].createTime = dayjs(
            participat.createTime
          ).format('MM.DD HH:mm:ss')
        })
      }
      return res
    })
    .catch(res => {
      return res
    })
}
