import { TASK_STATUS_TYPE } from 'src/common/constants/taskStatusType'

Component({
  properties: {
    dialog: {
      type: Object,
      value: null,
    },
    lotteryInfo: {
      type: Object,
      value: null,
    },
    taskStatus: {
      type: Array,
      value: [],
    },
    rewardGrantStatusInfo: {
      type: Object,
      value: null,
      observer(newVal, oldVal) {
        let showBtn = false
        let unfinishedTask = null
        if (this.properties.dialog.dialogStatus !== 'signSuccess' && this.properties.taskStatus.length) {
          unfinishedTask = this.properties.taskStatus.find((value) => {
            return value.taskStatus !== TASK_STATUS_TYPE.received
          })
          showBtn = !!unfinishedTask
        }
        this.setData({
          showBtn,
          unfinishedTask,
        })
      },
    },
  },
  data: {
    showBtn: false,
    unfinishedTask: null,
  },
  methods: {
    closeDialog() {
      this.triggerEvent('closedialog')
    },
    setTask() {
      this.triggerEvent('setTask', {
        unfinishedTask: this.data.unfinishedTask,
      })
    },
  },
})
