import { saveFormAndPrePay } from 'src/common/pages/login/api'
import { SCENARIO_ID } from 'src/common/constants/scenarioId'
import { TASK_STATUS_TYPE } from 'src/common/constants/taskStatusType'

Component({
  externalClasses: ['btn-pure'],
  properties: {
    taskStatus: {
      type: Array,
      value: [],
    },
    showSuccess: {
      type: Boolean,
      value: false,
    },
  },
  data: {
    successMsg: '成功领取1次抽奖机会',
    taskStatusType: TASK_STATUS_TYPE,
  },
  methods: {
    handleSubmit(e) {
      const formId = e.detail.formId
      saveFormAndPrePay({
        formId,
        scenarioId: SCENARIO_ID.signTask,
        appName: 'DADA',
      })
    },
    setShareModal(e) {
      const params = {
        actionType: '1',
        appType: 'DADA',
        taskTypeId: e.currentTarget.dataset.tasktypeid,
      }
      this.triggerEvent('setShareModal', params)
    },
    getReward(e) {
      const { rewardId, taskId } = e.currentTarget.dataset.task
      this.triggerEvent('getReward', {
        rewardId,
        taskId,
      })
    },
  },
})
