import { CONSULT_INFO } from 'src/pages/consult/constant'
import { saveConsult } from 'src/pages/consult/api'
import { API_ADPTER } from 'src/common/adapters/index'

const app = getApp()

Page({
  data: {
    info: CONSULT_INFO,
    canSave: true,
    lock: false,
  },
  onShow() {
    const { purePoi = {} } = app.globalData.commonAddress
    const lock = app.globalData.consultLock

    this.setData({
      info: app.globalData.consultInfo,
      lock,
    })
    if (purePoi.lat) {
      this.setData({
        info: {
          ...this.data.info,
          lat: purePoi.lat,
          lng: purePoi.lng,
          poiName: purePoi.poiName,
          poiAddress: purePoi.poiAddress,
          adcode: purePoi.adCode,
        },
      })
      app.globalData.commonAddress.purePoi = {}
    }
  },
  onHide() {
    app.globalData.consultInfo = this.data.info
    app.globalData.consultLock = this.data.lock
  },
  changeInfo(e) {
    this.setData({
      info: {
        ...this.data.info,
        [e.target.dataset.ref]: e.detail.value,
      },
    })
  },
  goShopEdit() {
    const { lock } = this.data

    if (lock) return
    app.globalData.commonAddress.type = 'purePoi'
    app.globalData.commonAddress.keyword = ''
    app.globalData.commonAddress.from = 'pages/consult/commit/index'

    API_ADPTER.navigateTo({
      url: '/common/pages/addrPoiList/index',
    })
  },
  handleSave() {
    const { poiName, contactName, contactNumber } = this.data.info
    if (!poiName) {
      API_ADPTER.showToast({
        title: '请选择店铺地址',
      })

      return
    }
    if (!contactName) {
      API_ADPTER.showToast({
        title: '请填写联系人姓名',
      })

      return
    }
    if (!contactNumber) {
      API_ADPTER.showToast({
        title: '请填写联系人手机号',
      })

      return
    }
    this.setData({
      canSave: false,
    })
    saveConsult(this.data.info)
      .then(() => {
        this.setData({
          canSave: true,
        })
        API_ADPTER.showToast({
          icon: 'none',
          title: '联系信息提交成功',
        })
        API_ADPTER.navigateBack()
      })
      .catch(() => {
        this.setData({
          canSave: true,
        })
      })
  },
  handleContent() {
    const { lock } = this.data

    if (lock) return
    API_ADPTER.navigateTo({
      url: '/pages/consult/content/index',
    })
  },
  handleChange() {
    this.setData({
      lock: false,
    })
  },
})
