import { API_ADPTER } from 'src/common/adapters/index'
import { checkCityOpen, getConsultDetail } from 'src/pages/consult/api'

const app = getApp()
const ITEMS = [
  {
    title: '发单价格更优惠',
    content: '部分品类低至3元起步，为您合理的节省更多发单开支',
  },
  {
    title: '优惠活动享不停',
    content: '企业版用户可领取专属红包，享受更多充值优惠活动',
  },
  {
    title: '更专业的达达',
    content: '专属鲜花骑士等专业达达，为您提供个性化专业服务',
  },
  {
    title: '商务经理一对一服务',
    content: '使用过程中遇到任何疑难问题，由专人上门为您解决',
  },
]

Page({
  data: {
    items: ITEMS,
    isOpen: false,
    hasDetail: false,
  },
  onShow() {
    checkCityOpen({
      adcode: app.globalData.commonAddress.location.adCode,
    }).then(isOpen => {
      this.setData({
        isOpen,
      })
    })
    getConsultDetail().then(detail => {
      this.setData({
        hasDetail: !!detail,
      })
      if (detail) {
        app.globalData.consultInfo = detail
        app.globalData.consultLock = true
      }
    })
  },
  handleConsult() {
    const { isOpen } = this.data

    if (isOpen) {
      API_ADPTER.navigateTo({
        url: '/pages/consult/commit/index',
      })

      return
    }
    API_ADPTER.makePhoneCall({
      phoneNumber: '4009919512',
    })
  },
})
