import { API_ADPTER } from 'src/common/adapters/index'

Component({
  data: {
    maskAnimation: {},
    contentAnimation: {},
  },
  options: {
    multipleSlots: true, // 在组件定义时的选项中启用多slot支持
  },
  properties: {
    // 是否显示
    show: {
      type: Boolean,
      value: false,
      observer: function (newVal, oldVal) {
        const maskAnimation = API_ADPTER.createAnimation({
          duration: 300,
          timingFunction: 'ease',
        })
        const contentAnimation = API_ADPTER.createAnimation({
          duration: 300,
          timingFunction: 'ease',
        })

        maskAnimation.opacity(1).step()
        contentAnimation.scale(1).step()

        if (newVal) {
          setTimeout(() => {
            this.setData({
              maskAnimation: maskAnimation.export(),
              contentAnimation: contentAnimation.export(),
            })
          }, 10)
        } else {
          this.setData({
            maskAnimation: {},
            contentAnimation: {},
          })
        }
      },
    },
    title: String,
    onOk: {
      type: Function,
    },
    onCancel: {
      type: Function,
    },
  },
  methods: {
    handleOkClick(e) {
      this.triggerEvent('onOk', e)
    },
    handleCancelClick(e) {
      this.triggerEvent('onCancel', e)
    },
    handleCatch() {},
  },
})
