import { API_ADPTER } from 'src/common/adapters/index'

const getReceiveTimeStamp = (selected, receiveTimes) => {
  const today = new Date()
  const dt = new Date(today.getFullYear(), today.getMonth(), today.getDate())
  const day = dt.getDate() + selected[0]
  let hour = receiveTimes[1][selected[1]]
  let minute = receiveTimes[2][selected[2]]

  hour = hour.split('时')[0]
  minute = minute.split('分')[0]

  dt.setDate(day)
  dt.setHours(hour)
  dt.setMinutes(minute)

  return (dt.getTime() / 1000).toFixed()
}
const getInitHours = () => {
  const today = new Date()
  let hourIdx = today.getHours()
  const minute = today.getMinutes()
  let minuteIdx = Number(Math.floor(minute / 10)) + 1

  if (minuteIdx > 5) {
    // 如果大于50分钟，就默认选择下一个小时
    hourIdx += 1
  }

  return ['现在发单'].concat(hours.slice(hourIdx))
}

const hours = []
for (let i = 0; i < 24; i++) {
  hours.push(i < 10 ? `0${i}时` : `${i}时`)
}
const minutes = ['00分', '10分', '20分', '30分', '40分', '50分']

// state状态
const state = {
  tmpSelected: [0, 0, 0],
  rangeList: [['今天', '明天', '后天'], getInitHours(), []],
  selected: {
    desc: '现在发单',
    value: 0,
    originValue: [],
  },
  disabled: false,
}

const actions = {
  handleReceiveTimeOk() {
    const { tmpSelected, rangeList } = this.data.orderTime
    const dateNames = rangeList[0]
    const hours = rangeList[1]
    const minutes = rangeList[2]

    let desc = '现在发单'
    let value = 0

    // 不是现在发单
    if (!(tmpSelected[0] === 0 && tmpSelected[1] === 0)) {
      desc =
        dateNames[tmpSelected[0]] +
        ' ' +
        hours[tmpSelected[1]] +
        minutes[tmpSelected[2]]
      value = getReceiveTimeStamp(tmpSelected, rangeList)
    }

    this.setData({
      'orderTime.selected': {
        desc,
        value,
        originValue: [...tmpSelected],
      },
    })
    this.handleOrderFeeUpdate()
  },
  handleReceiveCancel() {
    const { selected } = this.data.orderTime

    this.setData({
      'orderTime.tmpSelected': [...selected.originValue],
    })
  },
  handleReceiveTimeChange(target) {
    const { tmpSelected, rangeList } = this.data.orderTime
    const { value, column } = target.detail
    const _selected = tmpSelected
    let _hours = hours
    let _minutes = minutes

    _selected[column] = value

    if (_selected[0] === 0) {
      const today = new Date()
      let hourIdx = today.getHours()
      const minute = today.getMinutes()
      let minuteIdx = Number(Math.floor(minute / 10)) + 1

      if (minuteIdx > 5) {
        // 如果大于50分钟，就默认选择下一个小时
        minuteIdx = 0
        hourIdx += 1
      } else if (_selected[1] > 1) {
        minuteIdx = 0
      }

      _hours = hours.slice(hourIdx)
      _hours = ['现在发单'].concat(_hours)

      // 现在发单
      if (_selected[0] === 0 && _selected[1] === 0) {
        _minutes = []
      } else {
        _minutes = minutes.slice(minuteIdx)
      }

      // 当前选择到今天
      if (column === 0 && value === 0) {
        _selected[1] = 0
        _selected[2] = 0
        _minutes = []
      }
    }

    this.setData({
      'orderTime.tmpSelected': [..._selected],
      'orderTime.rangeList': [rangeList[0], _hours, _minutes],
    })
  },
  handlePickerCellClick() {
    const {
      address: { sender, receiver },
    } = this.data

    if (!sender.id || !receiver.id) {
      API_ADPTER.showToast({
        title: '请先填写地址信息',
        icon: 'none',
      })
      this.setData({ scrollIntoViewId: 'header-bar-placeholder' })
    }
  },
}

export default {
  state,
  actions,
}
