import { getInsuranceFee } from './api'
import { API_ADPTER } from 'src/common/adapters/index'

const app = getApp()

Page({
  name: '保价服务',
  data: {
    inCalculation: false,
    checked: false,
    insuredValue: '',
    insuranceFee: 0,
  },
  onShow() {
    const { insuredValue = '', insuranceFee = 0 } = app.globalData.orderBillInfo
    this.setData({
      insuredValue: insuredValue || '',
      insuranceFee,
      checked: !!insuredValue,
    })
  },
  toggleChecked() {
    this.setData({ checked: !this.data.checked })
  },
  handleOk() {
    const { checked, insuredValue, insuranceFee, inCalculation } = this.data
    if (!insuredValue) {
      app.globalData.orderBillInfo.insuredValue = insuredValue
      app.globalData.orderBillInfo.insuranceFee = insuranceFee
      API_ADPTER.navigateBack({ delta: 1 })

      return
    }
    if (insuredValue && !checked) {
      API_ADPTER.showToast({
        title: '请先阅读并同意保价协议',
        icon: 'none',
      })

      return
    }
    if (inCalculation) return
    app.globalData.orderBillInfo.insuredValue = insuredValue
    app.globalData.orderBillInfo.insuranceFee = insuranceFee
    API_ADPTER.navigateBack({ delta: 1 })
  },
  handleInsuredValue(e) {
    let insuredValue = e.detail.value

    if (insuredValue > 10000) {
      insuredValue = 10000
      API_ADPTER.showToast({
        title: '输入金额不能大于1万元',
        icon: 'none',
      })
    }

    this.setData({ insuredValue })
    this.setData({ inCalculation: true })
    getInsuranceFee({ insuredValue })
      .then(res => {
        this.setData({ inCalculation: false })
        this.setData({ insuranceFee: res.insuranceFee })
      })
      .catch(() => {
        this.setData({ inCalculation: false })
      })
  },
  goInsuranceRule() {
    API_ADPTER.navigateTo({ url: '/pages/insuranceRule/index' })
  },
})
