import track from 'track-mini-program'
import { getGroupTag } from './api'
import { API_ADPTER } from 'src/common/adapters/index'

Page({
  data: {
    type: 'default',
    showModal: false,
  },
  onLoad() {
    getGroupTag().then(res => {
      this.setData({ type: res.groupTag || 'default' })
    })
  },
  copyUrl() {
    track.manuallyTrack({
      clickId: 'ClickCopyUrl',
    })
    API_ADPTER.setClipboardData({
      data: 'http://t.cn/RuMZNfZ',
      success: () => {
        API_ADPTER.showToast({
          title: '链接复制成功',
          icon: 'none',
        })
      },
      fail: () => {
        API_ADPTER.showToast({
          title: '链接复制失败',
          icon: 'none',
        })
      },
    })
  },
  toggleModal() {
    this.setData({
      showModal: !this.data.showModal,
    })
  },
  handleOk() {
    track.manuallyTrack({
      clickId: 'ClickCustomerService',
      clickPar: {
        type: 1,
      },
    })
    this.toggleModal()
  },
  handleCancel() {
    this.toggleModal()
    track.manuallyTrack({
      clickId: 'ClickCustomerService',
      clickPar: {
        type: 0,
      },
    })
  },
  handleDownload() {
    this.toggleModal()
    track.manuallyTrack({ clickId: 'ClickDownloadAPP' })
  },
})
