import track from 'track-mini-program'
import { API_ADPTER } from 'src/common/adapters/index'

const app = getApp()

const state = {
  value: '',
  len: 100,
}
const actions = {
  onShow: function () {
    const { remarkValue } = app.globalData.orderBillInfo

    this.setData({
      value: remarkValue,
      len: 100 - remarkValue.length,
    })
  },
  handleRemarkInputChange: function (e) {
    let { value } = e.detail
    let len = value.length

    if (len > 100) {
      len = 100
      value = value.substring(0, 100)
    }

    app.globalData.orderBillInfo.remarkValue = value
    this.setData({
      len: 100 - len,
      value,
    })
  },
  handleRemarkConfirm: function () {
    track.manuallyTrack({ clickId: 'ClickConfirm' })
    app.globalData.orderBillInfo.remarkValue = this.data.value
    API_ADPTER.navigateBack()
  },
}

Page({
  name: '请填写备注',
  data: state,
  ...actions,
})
